[SCM] Vim packaging branch, debian, updated. upstream/7.2.148-1090-g2beb3e2

James Vega jamessan at debian.org
Sat Jul 25 21:09:46 UTC 2009


The following commit has been merged in the debian branch:
commit 567c06ad891a67be67ca72ae08d47f0d8251f906
Author: James Vega <jamessan at debian.org>
Date:   Sat Jul 25 21:04:19 2009 +0200

    Add debian/update-runtime script
    
    Signed-off-by: James Vega <jamessan at debian.org>

diff --git a/debian/update-runtime b/debian/update-runtime
new file mode 100755
index 0000000..dc8e6e9
--- /dev/null
+++ b/debian/update-runtime
@@ -0,0 +1,47 @@
+#!/bin/sh
+set -e
+
+OPTIONS_SPEC="\
+$(basename $0)
+
+updates runtime from upstream vim ftp
+--
+"
+SUBDIRECTORY_OK=
+. "$(git --exec-path)/git-sh-setup"
+require_work_tree
+cd_to_toplevel
+
+git rev-parse --verify HEAD > /dev/null && \
+    git update-index --refresh && \
+    git diff-files --quiet && \
+    git diff-index --cached --quiet HEAD -- \
+    || die "Your tree is unclean, can't do that..."
+
+which rsync >/dev/null 2>&1 || die "You need rsync installed for this script..."
+
+checkout_and_merge() {
+    git checkout $1
+    if ! git merge $2; then
+        echo "Merge conflict -- fix the problem and then exit the subshell to continue"
+        if ! $SHELL; then
+            echo "Non-zero exit status from merge conflict.  Exiting update script."
+            exit
+        fi
+    fi
+}
+
+git checkout upstream-runtime --
+
+rsync -avzcP --delete --exclude="README.txt" --exclude="getdos.aap" \
+      --exclude="getunix.aap" --exclude="main.aap" --exclude="dos" \
+      --exclude="spell" --include="spell/en.*" --include="spell/he.vim" \
+      --include="spell/yi.vim" --include="spell/cleanadd.vim" \
+      ftp.vim.org::Vim/runtime/ runtime
+
+git add runtime
+git commit -m 'Sync runtime files'
+
+for b in deb/runtime debian; do
+    checkout_and_merge $b upstream-runtime
+done

-- 
Vim packaging



More information about the pkg-vim-maintainers mailing list